package hiro.yoshioka.ast.sql.notes.util;

import hiro.yoshioka.ast.sql.util.ParserFactory;
import hiro.yoshioka.ast.sql.util.ParserUtil;

import java.io.File;
import java.io.FileNotFoundException;

public class WolfNotesParserFactory extends ParserFactory {

	@Override
	public ParserUtil createParserUtil(String statement) {
		return new WolfNotesParserUtil(statement);
	}

	@Override
	public ParserUtil createParserUtil(File file) {
		try {
			return new WolfNotesParserUtil(file);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		return null;
	}

}
